[llvm-commits] [124232] Stop the "buildit" if a "make" of LLVM fails.
bwendlin at apple.com
bwendlin at apple.com
Fri Feb 23 11:54:34 PST 2007
Revision: 124232
Author: bwendlin
Date: 2007-02-23 11:54:33 -0800 (Fri, 23 Feb 2007)
Log Message:
-----------
Stop the "buildit" if a "make" of LLVM fails.
Modified Paths:
--------------
apple-local/branches/llvm/build_gcc
Modified: apple-local/branches/llvm/build_gcc
===================================================================
--- apple-local/branches/llvm/build_gcc 2007-02-23 11:08:39 UTC (rev 124231)
+++ apple-local/branches/llvm/build_gcc 2007-02-23 19:54:33 UTC (rev 124232)
@@ -197,6 +197,11 @@
make ENABLE_OPTIMIZED=1 UNIVERSAL=1 UNIVERSAL_ARCH="$LLVM_ARCHS" \
OPTIMIZE_OPTION='-O2' \
CXXFLAGS="-DLLVM_VERSION_INFO='\" Apple Build #$LLVM_VERSION\"'"
+
+ if ! test $? == 0 ; then
+ echo "error: LLVM 'make' failed!"
+ exit 1
+ fi
fi
# APPLE LOCAL LLVM end
@@ -564,6 +569,11 @@
## Install the tree into the destination directory.
make $MAKEFLAGS ENABLE_OPTIMIZED=1 UNIVERSAL=1 OPTIMIZE_OPTION='-O2' install
+ if ! test $? == 0 ; then
+ echo "error: LLVM 'make install' failed!"
+ exit 1
+ fi
+
## Install Version.h
if [ "x$LLVM_SUBMIT_SUBVERSION" = "x00" -o "x$LLVM_SUBMIT_SUBVERSION" = "x0" ]; then
RC_ProjectSourceSubversion=0
More information about the llvm-commits
mailing list